diff options
author | Jim Meyering <jim@meyering.net> | 1998-10-03 04:54:54 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 1998-10-03 04:54:54 +0000 |
commit | 0345ac460a897f30d5c7cf1aef2065a322158f1d (patch) | |
tree | 137207ea0c4d340a0bfb7531e7b8efbc85e1000a /tests | |
parent | 8b0f15401bfb4dd6a3afd6c82c56540b6048735f (diff) | |
download | coreutils-0345ac460a897f30d5c7cf1aef2065a322158f1d.tar.xz |
.
Diffstat (limited to 'tests')
-rw-r--r-- | tests/dircolors/Makefile.am | 4 | ||||
-rw-r--r-- | tests/dircolors/Makefile.in | 4 | ||||
-rwxr-xr-x | tests/dircolors/run-test | 13 | ||||
-rwxr-xr-x | tests/dircolors/simple | 35 |
4 files changed, 39 insertions, 17 deletions
diff --git a/tests/dircolors/Makefile.am b/tests/dircolors/Makefile.am index dd7f41107..9b814e71a 100644 --- a/tests/dircolors/Makefile.am +++ b/tests/dircolors/Makefile.am @@ -1,6 +1,6 @@ ## Process this file with automake to produce Makefile.in -*-Makefile-*-. -EXTRA_DIST = $(TESTS) simple +EXTRA_DIST = $(TESTS) TESTS_ENVIRONMENT = \ top_srcdir=$(top_srcdir) \ @@ -9,4 +9,4 @@ TESTS_ENVIRONMENT = \ PATH=../../src:$$PATH \ PROG=dircolors -TESTS = run-test +TESTS = simple diff --git a/tests/dircolors/Makefile.in b/tests/dircolors/Makefile.in index b4caba90d..a16d2a6eb 100644 --- a/tests/dircolors/Makefile.in +++ b/tests/dircolors/Makefile.in @@ -90,7 +90,7 @@ VERSION = @VERSION@ YACC = @YACC@ l = @l@ -EXTRA_DIST = $(TESTS) simple +EXTRA_DIST = $(TESTS) TESTS_ENVIRONMENT = \ top_srcdir=$(top_srcdir) \ @@ -99,7 +99,7 @@ TESTS_ENVIRONMENT = \ PATH=../../src:$$PATH \ PROG=dircolors -TESTS = run-test +TESTS = simple mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs CONFIG_HEADER = ../../config.h CONFIG_CLEAN_FILES = diff --git a/tests/dircolors/run-test b/tests/dircolors/run-test deleted file mode 100755 index 027f60070..000000000 --- a/tests/dircolors/run-test +++ /dev/null @@ -1,13 +0,0 @@ -#!/bin/sh - -: ${PERL=perl} -: ${srcdir=.} - -case "$PERL" in - *'missing perl') - echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test" - exit 77 - ;; -esac - -exec $PERL -w -I$srcdir/.. -MFetish -- $srcdir/simple diff --git a/tests/dircolors/simple b/tests/dircolors/simple new file mode 100755 index 000000000..2f3a4ca2b --- /dev/null +++ b/tests/dircolors/simple @@ -0,0 +1,35 @@ +#!/bin/sh + +: ${PERL=perl} +: ${srcdir=.} + +case "$PERL" in + *'missing perl') + echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test" + exit 77 + ;; +esac + +exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF +require 5.003; +use strict; + +(my $program_name = $0) =~ s|.*/||; + +# Turn off localisation of executable's ouput. +@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3; + +my @Tests = + ( + ['a', {IN => {k => "exec\n"}}, + {ERR => "dircolors: k:1: invalid line; missing second token\n"}, + {EXIT => 1}], + ); + +my $save_temps = $ENV{DEBUG}; +my $verbose = $ENV{VERBOSE}; + +my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n"; +my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose); +exit $fail; +EOF |